.empty_cart {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 60px;
  margin: 95px 30px 95px 30px;
}

.empty_cart_title {
  text-align: center;
}

.page-wrapper .woocommerce {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 29px;
  margin: 0px auto;
}

.return-to-shop {
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.return-to-shop button {
  height: 50px;
}

.wc-backward {
  width: 200px;
  height: 50px !important;
  text-align: center;
  line-height: 50px !important;
  padding: 0px !important;
  background: var(--hover-color) !important;
  color: white !important;
  border-radius: 20px !important;
}
.page-wrapper {
    margin: 150px 0px 60px 0px;
}
.cart-page {
  /* padding: 110px 0px; */
  width: 80%;
  margin: 20px auto;
}

.cart-title {
  margin-bottom: 150px;
  color: var(--dark-text-color);
  text-align: center;
}

.cart-layout {
  border: 2px solid var(--hover-color);
  box-shadow: 0px 0px 30px var(--hover-color);
  border-radius: 17px;
  backdrop-filter: blur(3px);
  position: relative;
}

.cart-items {
  border-radius: 16px;
  padding: 25px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, .05);
}

.cart-summary {
  background: #fff;
  border-radius: 16px;
  padding: 25px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, .05);
  display: flex;
  align-items: center;
  justify-content: center;
}

.cart-head {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr 1fr;
  font-weight: 600;
  padding: 7px 0px 20px 0px;
}

.cart-item {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr 1fr;
  gap: 10px;
  align-items: center;
  padding: 20px 0;
  border-top: 1px solid var(--hover-color);
}

.product {
  display: flex;
  gap: 15px;
  align-items: center;
}

.product a {
  max-width: 150px;
  max-height: 150px;
}

.product img {
  width: 70px;
  border-radius: 12px;
}

.product-name {
  text-align: center;
}

.custom-qty {
  display: flex;
  align-items: center;
  justify-content: center;
  direction: ltr;
}

.qty-btn {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  border: 1px solid #ccc;
  background: none;
  cursor: pointer;
}

.price {
  font-weight: 600;
  text-align: center;
}

.remove {
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;

}

.cross_icon {
  width: 30px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.cart-head-Quantity {
  text-align: center;
}

.cart_btns_box button {
  width: 150px !important;
  height: 40px !important;
}

.update-cart {
  border-radius: 30px !important;
  border: none;
  background: var(--hover-color);
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: vazir;

  color: #fff;
  cursor: pointer;
}

/* checkout btn */
.cart_btns_box {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 80px
}

/* Summary */
.cart-summary h3 {
  margin-bottom: 20px;
}

.voucher {
  display: flex;
  gap: 10px;
  margin-bottom: 20px;
}

.voucher input {
  flex: 1;
  padding: 10px;
  border-radius: 30px;
  border: 1px solid #ccc;
}

.voucher button {
  padding: 10px 20px;
  border-radius: 30px;
  border: none;
  background: #eee;
}

.cart-summary ul {
  list-style: none;
  padding: 0;
}



.total {
  display: flex;
  justify-content: space-between;
  font-size: 18px;
  margin: 20px 0;
}

.checkout {
  text-align: center;
  border-radius: 30px;
  border: none;
  background: var(--hover-color);
  color: #fff;
  cursor: pointer;
}





.custom-qty {
  display: flex;
  align-items: center;
  /* gap: 10px; */
}

.qty-minus {
  border-radius: 20px 0px 0px 20px;
}

.qty-minus:active {
  box-shadow: 0px 0px 10px 6px var(--hover-color);
}

.custom-qty button {
  width: 32px;
  height: 32px;
  /* border-radius: 0%; */
  border: none;
  background: var(--hover-color);
  font-size: 18px;
  cursor: pointer;
}

.custom-qty button:hover {
  transform: scale(1);
}

.qty-plus {
  border-radius: 0px 20px 20px 0px;
}

.qty-plus:active {
  box-shadow: 0px 0px 10px 6px var(--hover-color);
}

.custom-qty input.qty {
  width: 50px;
  text-align: center;
  border: none;
  font-weight: 600;
  height: 32px;
}




/* Chrome, Edge, Safari */
.custom-qty input.qty::-webkit-inner-spin-button,
.custom-qty input.qty::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
.custom-qty input.qty {
  -moz-appearance: textfield;
}





.input-text:focus {
  outline: none;
}

/* images */
.image_box {
  position: absolute;
  width: 210px;
  left: 50%;
  transform: translateX(-50%);
  top: -145px;
}


/* hide unulse items */
/* discount voucher input */

.cart-head-Total {
  text-align: center;
}




/* better style for cart head */
.cart-head-Action {
  text-align: center;
}



.cross1 {
  width: 20px;
  height: 2px;
  background-color: var(--hover-color);
  transform: rotateZ(45deg) translateY(0px) translateX(3px);
}

.cross2 {
  width: 20px;
  height: 2px;
  background-color: var(--hover-color);
  transform: rotateZ(-45deg) translateY(2px) translateX(1px);
}

button span {
  font-size: 18px;
  color: var(--light-text-color);
}


/* medias */

@media(min-width:1200px) {
  .page-wrapper .woocommerce {
    width: 80%;
  }
}

@media(max-width:900px) {
  .cart-summary {
    height: 300px;
  }
}

@media(max-width:756px) {
  /* .cart-layout {
    grid-template-columns: 1fr;
  } */

  .cart-summary {
    height: 300px;
  }

  .cart-items {
    padding: 15px;
  }

  .cart-page {
    width: 90%;
    margin: 10px auto;
    margin: 10px;
  }

  .product-name {
    font-size: 12px;
  }

  .custom-qty {
    /* gap: 5px; */
  }



}

@media(max-width:620px) {
  .cart-head {
    grid-template-columns: 2fr 1fr 1fr 0.5fr;
  }

  .cart-item {
    grid-template-columns: 2fr 1fr 1fr 0.5fr;
  }

  .cart-page {
    width: 95%;
  }

  .product {
    gap: 10px;
  }

  .product a {
    max-width: 70px;
    max-height: 70px;
  }

}

@media(max-width:500px) {
  .price {
    font-weight: 600;
    font-size: 12px;
    text-align: center;
  }

  .cart_btns_box {
    gap: 10px;
  }

  .custom-qty input.qty {
    height: 25px;
    width: 35px !important;
  }

  .custom-qty button {
    width: 25px;
    height: 25px;
  }

  .product {
    gap: 3px;
  }

  .cart-items {
    padding: 6px;
  }

  .cart-item {
    gap: 5px;
  }

  .cart_btns_box button {
    width: 130px !important;
    height: 30px !important;
  }

  .cart-head {
    padding: 7px 5px 20px 0px;
  }
}